import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { HttpService } from '../core';
import { User } from '../user';
import * as i0 from "@angular/core";
export declare class UserSelectorComponent implements ControlValueAccessor {
    private http;
    get value(): string;
    set value(val: string);
    constructor(http: HttpService);
    items: User[];
    _value: string;
    clientId: number;
    id: string;
    isRequired: boolean;
    moduleId: number;
    idChange: EventEmitter<string>;
    filters: any;
    onChange: any;
    onTouched: any;
    ngOnInit(): void;
    loadData(): void;
    registerOnChange(fn: any): void;
    writeValue(value: any): void;
    registerOnTouched(fn: any): void;
    itemSelected(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserSelectorComponent, "user-selector", never, { "_value": { "alias": "value"; "required": false; }; "clientId": { "alias": "clientId"; "required": false; }; "id": { "alias": "id"; "required": false; }; "isRequired": { "alias": "isRequired"; "required": false; }; "moduleId": { "alias": "moduleId"; "required": false; }; }, { "idChange": "idChange"; }, never, never, false, never>;
}
